﻿@font-face {
    src: url('/Style/fonts/NotoSansHebrew-VariableFont.ttf') format('truetype');
    font-weight: 100 900; /* טווח המשקל של הפונט */
    font-style: normal;
}

html {
    font-family: 'Arial';
    color: #6a4b3e;
}

body {
    font-size: 0;
}

h1 {
    font-size: 2rem;
    text-align: center;
}

h2 {
    font-size: 1.7rem;
    text-align: center;
}

h3 {
    font-size: 1.5rem;
}

p, label, a {
    font-size: 1rem;
}

img {
    max-width: 100%;
    object-fit: cover;
    border-radius: 1rem;
}

input[type=email], input[type=tel], input[type=password] {
    direction: ltr;
}


input[type=button], .form-wrapper input[type=button] {
    cursor: pointer;
    color: #ffffff;
    background-color: #6a4b3e;
    text-align: center;
}

    input[type=button]:hover {
        opacity: 0.9;
    }

/*toolbar*/
#toolbar {
    position: absolute;
    top: 6.6rem;
    background-color: white;
    box-shadow: 0 3px 9px 0 rgba(0, 0, 0, .5);
    font-size: 1.2rem;
    font-weight: bold;
}

    #toolbar > div {
        padding: 0.6rem 1.2rem;
        cursor: pointer;
    }

        #toolbar > div:hover {
            background-color: #a0a0a0;
        }

/* סרגל ניווט */
.navbar {
    display:flex;
    position: fixed;
    top: 0;
    background-color: white;
    z-index: 1;
    justify-content: space-between;
    padding: 1rem 2rem;
    box-sizing: border-box;
    width: 100%;
    box-shadow: 0 1.2rem 0.4rem rgba(0, 0, 0, 0.1);
}

.navbar-logo input {
    background: none;
    border: none;
    font-size: 1.4rem;
    font-weight: bold;
    color: #6a4b3e;
    text-decoration: none;
}

.navbar-links input {
    color: #6a4b3e;
    background: none;
    border: none;
    padding-block: 0.5rem;
    width: 5rem;
    margin: auto 0.5rem;
}

    .navbar-links input:hover {
        background-color: #6a4b3e;
        color: #fff;
        border-radius: 0.3rem;
    }

.navbar-mobile-menu, .popup-menu {
    display: none;
}
/* סוף סרגל ניווט */
/*content*/
#content {
    margin-top: 5.5rem;
    margin-bottom: 4.5rem;
}
/*end of content*/
/*footer*/
.footer {
    background-color: white;
    position: fixed;
    bottom: 0;
    padding: 1rem 2rem;
    text-align: center;
    box-sizing: border-box;
    width: 100%;
    box-shadow: 0 1.2rem 0.4rem rgba(0, 0, 0, 0.1);
}
/*footer סוף*/
/*דף הבית*/
#welcome {
    text-align: center;
}

    #welcome img {
        margin: 2rem auto;
        display: block;
    }

    #welcome input[type=button] {
        padding: 0.5rem 3rem;
        font-size: 1.3rem;
        border: none;
        border-radius: 0.5rem;
    }
/*דף הבית סוף */
/*גלריה*/
#shop {
    font-size: 0;
    color: #6a4b3e;
    text-align: center;
    display: inline;
}

    #shop > div, #newImg {
        margin: 0.5rem;
        display: inline-block;
        vertical-align: top;
        text-align: center;
    }

        #shop > div > img, #newImg {
            cursor: pointer;
            height: 250px;
            width: 250px;
            max-width: 100%;
        }

#newImg {
    border: solid;
    border-radius: 1rem;
}

    #shop > div > img:hover, #newImg:hover {
        opacity: 0.6;
    }

#shop > div > span {
    font-size: 1.2rem;
    text-align: center;
    display: block;
}
/*גלריה סוף */
/*עיצוב מוצר ואודותיו*/
.product, .purchase-options {
    width: 48%;
    margin: 1%;
    display: inline-block;
    vertical-align: top;
    text-align: center;
    font-size: 1.2rem;
}

    .product > img {
        cursor: pointer;
        max-height: 350px;
    }
/*סוף עיצוב מוצר ואודותיו*/
/*popup */
.modal {
    display: none;
    position: fixed;
    z-index: 2;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    overflow: auto;
}

    .modal img {
        margin: 0.5rem auto 0;
        display: block;
        width: 80%;
        max-height: calc(100vh - 1rem);
    }
/*popup סוף*/
/*purchase-options*/
.purchase-options > select, .purchase-options > span {
    margin: 0.5rem auto;
    display: block;
    width: 98%;
    border-radius: 0.5rem;
    color: #6a4b3e;
}

.purchase-options > select {
    padding: 0.5rem;
}

.purchase-options > div > input {
    display: inline-block;
    padding: 0.3rem 1rem;
    font-size: 1.2rem;
    border-color: #6a4b3e;
    border-inline: none;
    margin-top: 1rem;
}

    .purchase-options > div > input:nth-child(1) {
        border-top-right-radius: 0.5rem;
        border-bottom-right-radius: 0.5rem;
        margin-left: -0.4rem;
    }

    .purchase-options > div > input:nth-child(2) {
        border-radius: 0;
        width: 1rem;
        color: #6a4b3e;
    }

    .purchase-options > div > input:nth-child(3) {
        border-top-left-radius: 0.5rem;
        border-bottom-left-radius: 0.5rem;
        margin-right: -0.35rem;
    }

    .purchase-options > div > input:nth-child(4) {
        border-radius: 0.5rem;
        margin-right: 0.5rem;
    }
/*purchase-options סוף*/
/*הזמנה*/
#order {
    border: 0.1rem solid rgba(226, 226, 226, 0.2);
    border-radius: 1rem;
    box-shadow: 0 1.1rem 2.5rem rgba(0, 0, 0, 0.1);
    margin: auto;
    display: flex;
    justify-content: space-between;
}

    #order > div {
        margin-inline: auto;
        flex: 1;
        text-align: center;
    }
/*סוף הזמנה*/
/*מוצר בהזמנה*/
#product > div {
    display: flex;
    justify-content: space-between;
}

    #product > div > div {
        margin: 0.5rem;
    }

    #product > div img {
        width: 100%;
        height: 10rem;
    }
/* סוף מוצר בהזמנה*/


/*הודעת שגיאה או אזהרה*/
.popupPanel {
    position: fixed;
    z-index: 100;
    background-color: whitesmoke;
    padding: 2rem;
    font-size: 1.4rem;
    font-weight: bold;
    text-align: center;
    right: 30%;
    top: 20%;
    width: 20rem;
}

    .popupPanel input {
        width: 6rem;
        color: whitesmoke;
        border: none;
        height: 2rem;
        margin: 1rem auto;
        display: block;
    }
/*הודעת שגיאה או אזהרה סוף */

/* סל קניות */
#basket {
    font-size: 0;
    text-align: center;
}

    #basket * {
        margin: auto;
    }

    #basket > div {
        margin: 1rem;
        display: inline-block;
        float: right;
    }

    #basket img {
        height: 100%;
        float: right;
        margin-left: 0.5rem;
    }

    #basket h3 {
        font-size: 1.5rem;
        margin-block: 0.3rem;
    }

    #basket p {
        margin: 0.1rem;
        font-size: 1.2rem;
    }

    #basket input {
        width: 1.1rem;
        padding: 0.2rem;
        display: inline;
        margin: 0.1rem;
        text-align: center;
    }

#SaveBasket {
    width: 90%;
    margin: 0 5%;
    padding: 0.7rem;
    font-weight: 700;
    font-size: 1.1rem;
}
/*סוף סל קניות*/

/*טבלאות*/
.table {
    font-size: 1rem;
    max-height: 90%;
    width: 90%;
    margin: 2rem auto;
}

    .table input[type=button] {
        padding: 0.5rem;
        margin: 0 0.2rem;
        border-radius: 0.2rem;
        border: none;
        font-weight: bold;
        width: 2rem;
        height: 2rem;
    }

    .table svg {
        vertical-align: middle;
    }


    .table table {
        width: 100%;
        margin: 0;
        padding: 0;
        margin-top: 1rem;
        background-color: white;
        cursor: default;
        color: #6a4b3e;
        border: none;
        border-collapse: collapse;
    }

    .table thead {
        width: calc(100% - 1em);
    }

    .table tbody {
        max-height: calc(100vh - 20rem);
        display: block;
        overflow: auto;
    }

    .table th, .table td {
        border: none;
        padding: 0.7em;
        text-align: right;
    }

    .table th {
        color: white;
        background-color: #6a4b3e;
        font-weight: bold;
        padding: 1rem;
    }

    .table .sort_both, .sort_asc, .sort_desc {
        cursor: pointer;
    }

    .table td {
        text-align: right;
        border-bottom: 1px solid #dfe5e9;
        padding: 1rem;
    }

    .table tr {
        padding: 2rem 0;
        border-bottom: 2px solid #f8f8f8;
        display: table;
        table-layout: fixed;
        width: 100%;
    }

    .table tbody tr:hover {
        background-color: #6a4b3e;
        opacity: 0.8;
        cursor: pointer;
        color: white;
    }
/*טבלה סוף */
/*טפסים*/
.form-wrapper, #formDiv {
    max-width: 100%;
    box-sizing: border-box;
    background: #fff;
    border: 0.3rem solid;
    border-radius: 0.6rem;
    font-size: 0;
}

    .form-wrapper h1 {
        font-size: 1.5rem;
        text-align: center;
        margin-bottom: 1rem;
    }

    .form-wrapper input,
    #formDiv input,
    .form-wrapper select,
    #formDiv select,
    textarea {
        font-family: Arial, sans-serif;
        resize: vertical;
        text-align: right;
        color: #6a4b3e;
        font-size: 1.1rem;
        padding: 0.7rem;
        margin-bottom: 0.8rem;
        border: 1px solid #ccc;
        border-radius: 0.3rem;
        box-sizing: border-box;
        width: 100%;
        transition: border-color 0.3s ease;
    }

        .form-wrapper input[type=checkbox] {
            width: auto;
        }

        .form-wrapper input:focus,
        #formDiv input:focus,
        textarea:focus {
            border-color: #ffcc00;
            outline: none;
        }

#formDiv {
    position: fixed;
    left: 30%;
    top: 10%;
    padding: 1rem;
    z-index: 1;
    max-height: 90vh;
    overflow-y: auto;
    overflow-x: hidden;
    box-sizing: border-box;
}

    #formDiv input[type=text], #formDiv input[type=date], #formDiv label, #formDiv select {
        margin: 0.1rem 0.3rem;
        display: inline-block;
    }

    #formDiv input[type=button] {
        width: auto;
        min-width: 5rem;
        padding: 0.5rem 1rem;
        margin: 0.5rem 0.25rem;
        border-radius: 0.2rem;
        border: none;
        background-color: #6a4b3e;
        color: white;
        cursor: pointer;
    }

    #formDiv img {
        max-height: 10rem;
        display: block;
        width: 100%;
    }

    #formDiv .formColumn {
        display: inline-block;
        width: 48%;
        margin: 1%;
    }

.form-wrapper .form-wrapper {
    width: 100%;
    margin: auto;
    border: none;
}

.overlay {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    opacity: 0.5;
    background-color: black;
    z-index: 1;
}

.error {
    font-size: 1rem;
    color: red;
    display: block;
    margin-bottom: 1rem;
}

.upload
{
    height: 10rem ;
    border: 1px dashed black ;
    font-size: 1rem ;
}

/*סוף עיצוב טפסים*/
/* DropDown */
.form-wrapper select,
.form-wrapper select + input,
.form-wrapper select + span + input {
    width: 100%;
    font-size: 1.1rem;
    border: 1px solid #808080;
    box-sizing: border-box;
    margin-bottom: 0;
}

    .form-wrapper select + input, .form-wrapper select + input:focus
    .form-wrapper select + span + input, .form-wrapper select + span + input:focus {
        -webkit-appearance: none;
        border-radius: 0 !important;
        border-width: 1px !important;
        outline: none;
    }


        .form-wrapper select + input + div,
        .form-wrapper select + span + input + div {
            direction: rtl;
            background: white;
            border: 1px solid #808080;
            height: 20rem;
            overflow-y: auto;
            overflow-x: hidden;
            cursor: default;
        }

        .form-wrapper select + input, .form-wrapper select + input + div,
        .form-wrapper select + span + input, .form-wrapper select + span + input + div {
            box-sizing: border-box;
            display: none;
            font-size: 1.1rem;
            z-index: 2;
        }

            .form-wrapper select + input + div option, .form-wrapper select + input + div p,
            .form-wrapper select + span + input + div option, .form-wrapper select + span + input + div p {
                display: block;
                text-align: right;
                direction: rtl;
                font-size: 1.1rem;
                line-height: 1.2rem;
                height: auto;
                margin: 0;
                padding: 2px;
                border-bottom: 1px solid #f0f0ff;
            }

                .form-wrapper select + input + div option[selected], .form-wrapper select + input + div p[selected],
                .form-wrapper select + span + input + div option[selected], .form-wrapper select + span + input + div p[selected] {
                    background-color: gray;
                }

                    .form-wrapper select + input + div option:hover,
                    .form-wrapper select + input + div option[selected]:hover,
                    .form-wrapper select + input + div p:hover,
                    .form-wrapper select + input + div p[selected]:hover,
                    .form-wrapper select + span + input + div option:hover,
                    .form-wrapper select + span + input + div option[selected]:hover,
                    .form-wrapper select + span + input + div p:hover,
                    .form-wrapper select + span + input + div p[selected]:hover {
                        background-color: #6a4b3e;
                        color: white;
                    }
/* End of DropDown*/
